#セーブデータが最新かチェックする関数、最新のセーブデータには"New"とか表示させたい人向け
#checknew(file_name)      そのセーブデータが最新なら真、そうでないなら偽を返す
#shownew(file_name, text) そのセーブデータが最新ならtext、そうでないなら""を返す

# 例
#                 button:
#                     action FileLoad(i, confirm=persistent.ask_load)
#                     xfill True
# 
#                     has hbox
# 
#                     # Add the screenshot.
#                     add FileScreenshot(i)
#                     
#                     $ file_name = FileSlotName(i, columns * rows)
#                     $ file_time = FileTime(i, empty=_("Empty Slot."))
#                     $ save_info = FileSaveName(i)
#                       追加部分↓
#                     $ new       = shownew(file_name, "   NEW")
#                       追加部分↑
# 
#                     text "[file_name]. [file_time!t][new]\n[save_info!t]"

init -1 python:

    def checknew(name):
        #最新のセーブかチェックする
        if name[0] == "q":
            name = name[1:]
        elif name[0] == "a":
            name = name[1:]

        name = int(name) % 10
        if name == 0:
            name = 10

        if not persistent._file_newest or persistent._file_newest.split("-")[0] != persistent._file_page:
            return False
        elif name == int(persistent._file_newest.split("-")[1]):
            return True
        else:
            return False

    def shownew(name, text):
        if checknew(name):
            return text
        else:
            return ""
